package com.shcd.controller;

import com.shcd.entity.LicenceDTO;
import com.shcd.service.LicenceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author 上海城地
 * @description 控制层
 * @create 2024-04-13 15:55
 * @since 1.0.0
 */
@RestController
@RequestMapping("/server/licence")
public class ServerController {

    @Autowired
    private LicenceService licenceService;

    /**
     * 生成证书到本地
     */
    @PostMapping("/locallyGenerated")
    public void locallyGenerated(@RequestBody LicenceDTO dto) {
        licenceService.locallyGenerated(dto);
    }


}
