package com.shcd.service;

import com.shcd.entity.LicenceDTO;

import javax.servlet.http.HttpServletResponse;

/**
 * @author 上海城地
 * @description 证书生成接口类
 * @create 2024-04-13 15:55
 * @since 1.0.0
 */
public interface LicenceService {

    /**
     * 创建证书 licence 内容
     *
     * @param dtoEntity
     * @return
     */
    LicenceDTO createLicence(LicenceDTO dtoEntity);


//    /**
//     * 下载证书文件
//     *
//     * @param dtoEntity
//     * @param response
//     */
//    void downLoadLicence(LicenceDTO dtoEntity, HttpServletResponse response);


    /**
     *  本地生成证书
     *
     * @param dtoEntity
     * @return boolean
     * @author Hu
     * @date 2024/11/20 17:13
     */
    void locallyGenerated(LicenceDTO dtoEntity);
}
